Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSFacet

All Superinterfaces:
  XSObject

public interface XSFacet
extends XSObject

Describes a constraining facet. Enumeration and pattern facets are exposed via `XSMultiValueFacet` interface.

Method Summary
`XSAnnotation` | `getAnnotation()` An annotation if it exists, otherwise `null`.
`short` | `getFacetKind()` The name of the facet, e.g.
`boolean` | `getFixed()` [Facets]: check whether a facet is fixed.
`java.lang.String` | `getLexicalFacetValue()` A value of this facet.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getFacetKind

    public short getFacetKind()

  The name of the facet, e.g. `FACET_LENGTH, FACET_TOTALDIGITS` (see `XSConstants`).

### getLexicalFacetValue

    public java.lang.String getLexicalFacetValue()

  A value of this facet.

### getFixed

    public boolean getFixed()

  [Facets]: check whether a facet is fixed.

### getAnnotation

    public XSAnnotation getAnnotation()

  An annotation if it exists, otherwise `null`.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.